<?php

namespace EventPortal\Http\Controllers\Delegate\Event;

use EventPortal\Contracts\Event;
use EventPortal\Domain\Event\ValueObjects\EventDetails;
use EventPortal\Domain\Event\ValueObjects\PageHeader;
use EventPortal\Domain\Util\DelegateRender;
use EventPortal\Http\Controllers\Controller;
use Inertia\Response;

class FaqController extends Controller
{
    public function __invoke(Event $event): Response
    {
        $faqs  = [
            'title' => 'General Questions',
            'questions' => [
                [
                    'title' => 'Why has my colleague not been invited to the event?',
                    'content' => '<p>Vehicula tempus posuere laoreet pharetra donec ante ut eleifend ornare enim.</p>',
                    'active' => true,
                ],
                [
                    'title' => 'Why has my colleague not been invited to the event?',
                    'content' => '<p>Vehicula tempus posuere laoreet pharetra donec ante ut eleifend ornare enim.</p>',
                    'active' => false,
                ],
                [
                    'title' => 'When do I need to let you know if I can attend?',
                    'content' => '<p>Vehicula tempus posuere laoreet pharetra donec ante ut eleifend ornare enim.</p>',
                    'active' => false,
                ],
                [
                    'title' => 'I have not received my joining instructions.',
                    'content' => '<p>Vehicula tempus posuere laoreet pharetra donec ante ut eleifend ornare enim.</p>',
                    'active' => false,
                ],
                [
                    'title' => 'Can I see the invitee list for the event?',
                    'content' => '<p>Vehicula tempus posuere laoreet pharetra donec ante ut eleifend ornare enim.</p>',
                    'active' => false,
                ],
                [
                    'title' => 'What time does each session start/ finish?',
                    'content' => '<p>Vehicula tempus posuere laoreet pharetra donec ante ut eleifend ornare enim.</p>',
                    'active' => false,
                ],
                [
                    'title' => 'I am on leave during one/two/all of the events – will I be able to get access to 
                                slides/materials afterwards?',
                    'content' => '<p>Vehicula tempus posuere laoreet pharetra donec ante ut eleifend ornare enim.</p>',
                    'active' => false,
                ],
            ],
        ];

        return DelegateRender::component('Delegate/Faq/Index')
            ->withPageHeader(
                PageHeader::make()
                    ->title('FAQs')
                    /** phpcs:disable */
                    ->description('The answers to the frequently asked questions will assist you in planning your attendance.')
                /** phpcs:enable */
            )
            ->withEventDetails(EventDetails::make($event))
            ->withData($faqs)
            ->get();
    }
}
