<?php

namespace EventPortal\Http\Middleware\Event;

use Closure;
use EventPortal\Contracts\Event;
use Illuminate\Http\Request;

class EventHasBeenSubmittedForApproval
{
    /**
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if (!$this->hasEventHasBeenSubmittedForApproval($request->event)) {
            toast()->error(trans('event-approval.event-not-submitted-for-approval'));

            return redirect()->route('admin.dashboard.index');
        }

        return $next($request);
    }

    private function hasEventHasBeenSubmittedForApproval(Event $event): bool
    {
        return $event->approval()->count() > 0;
    }
}
