<?php

namespace EventPortal\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class IsDelegate
{
    /**
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if ($request->user()->isDelegate()) {
            return $next($request);
        }

        if ($request->user()->isAdmin()) {
            return redirect()->route('admin.event.index');
        }

        abort(Response::HTTP_UNAUTHORIZED);
    }
}
